# Server Action Logging

This module allows displaying logs when server actions are executed:

1. a log is generated as soon as an action starts
2. a log is generated if the action is completed without any exception being raised, and the log displays the duration (in seconds) of the action itself
3. if action’s field `Enable SQL Debug` is set, queries are logged too during the action’s execution

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To enable Odoo logs tracking the actions start and duration, you just need to install this module. To track SQL queries during an action’s execution, open the action form view and check field `Enable SQL Debug`.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Camptocamp

## Contributors

- Italo LOPES <italo.lopes@camptocamp.com>
- Silvio Gregorini <silvio.gregorini@camptocamp.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/server-tools project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.